# Installation

```shell
npm install
```

# Development

## Prerequisites

* Checkout ~~https://gitlab.netinventors.de/shopware6/plugins/cdn~~ https://gitlab.netinventors.de/cdn/vue-press separately
* Remember the path to the checked out project above as `PATH_TO_CDN_PROJECT`
* Start development npm script from `PATH_TO_CDN_PROJECT`
  ```sh
  cd PATH_TO_CDN_PROJECT
  npm install
  npm run css:dev
  ```
* Create a link to PATH_TO_CDN_PROJECT/dist/css/manual.css to PROJECT_ROOT/manual/docs/.vuepress/public/manual.css
  ```sh
  ln -s PATH_TO_CDN_PROJECT/dist/css/manual.css PROJECT_ROOT/manual/docs/.vuepress/public/manual.css
  ```

## Start developing

```shell
npm run docs:dev
```

# Build

```shell
npm run docs:build
```

# Important notices

* Included files have to begin with `inc.` e.g. `inc.description.md`.
