# Konfiguration

Nach der Installation muss einfach in den Eigenschaften, die im Frontend ausgegeben werden sollen, die Einstellung
**"Eigenschaft im Produktlisting bereitstellen"** aktiviert werden.

::: warning Hinweis 
Um diese im Frontend auszugeben wird ein eigenes Theme-Plugin benötigt.
:::

**Beispiel**

Du möchtest die dir im Listing die Eigenschaft "Breite" ausgeben lassen. Dazu setzt du unter
"Kataloge" > "Eigenschaften" > "Breite" den Punkt **"Eigenschaft im Produktlisting bereitstellen"** aktiv.

![Eigenschaft im Produktlisting bereitstellen](./admin-eigenschaft-im-produktlisting.png)

Suche nun die passende Stelle in deinem Theme, in der du die Breite des Produktes ausgeben möchtest. Wir erweitern das 
**"box-standard.html.twig"** Template (storefront/component/product/card/box-standard.html.twig) und geben uns dort 
zunächst einen Dump auf "**product.properties.elements**" aus:

```twig
{{ dump(product.properties.elements) }}
```

![Eigenschaft im Listing](../../share/dump-properties-in-listing.png)

Nun muss nur noch die gewünschte Struktur aufgebaut werden.
