<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Core\Content\PropertyGroupOption\Aggregate\OptionAttribute;

use Shopware\Core\Content\Property\Aggregate\PropertyGroupOption\PropertyGroupOptionEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class OptionAttributeEntity extends Entity
{
    use EntityIdTrait;

    protected string $propertyGroupOptionId = '';

    protected ?PropertyGroupOptionEntity $propertyGroupOption = null;

    protected ?string $textField1 = null;

    protected ?string $textField2 = null;

    protected ?string $textField3 = null;

    protected ?string $textArea1 = null;

    protected ?string $htmlText1 = null;

    public function getPropertyGroupOptionId(): string
    {
        return $this->propertyGroupOptionId;
    }

    public function setPropertyGroupOptionId(string $propertyGroupOptionId): void
    {
        $this->propertyGroupOptionId = $propertyGroupOptionId;
    }

    public function getPropertyGroupOption(): ?PropertyGroupOptionEntity
    {
        return $this->propertyGroupOption;
    }

    public function setPropertyGroupOption(?PropertyGroupOptionEntity $propertyGroupOption): void
    {
        $this->propertyGroupOption = $propertyGroupOption;
    }

    public function getTextField1(): ?string
    {
        return $this->textField1;
    }

    public function setTextField1(?string $textField1): void
    {
        $this->textField1 = $textField1;
    }

    public function getTextField2(): ?string
    {
        return $this->textField2;
    }

    public function setTextField2(?string $textField2): void
    {
        $this->textField2 = $textField2;
    }

    public function getTextField3(): ?string
    {
        return $this->textField3;
    }

    public function setTextField3(?string $textField3): void
    {
        $this->textField3 = $textField3;
    }

    public function getTextArea1(): ?string
    {
        return $this->textArea1;
    }

    public function setTextArea1(?string $textArea1): void
    {
        $this->textArea1 = $textArea1;
    }

    public function getHtmlText1(): ?string
    {
        return $this->htmlText1;
    }

    public function setHtmlText1(?string $htmlText1): void
    {
        $this->htmlText1 = $htmlText1;
    }
}
