import template from './template.html.twig';

const { Component } = Shopware;

Component.override('sw-property-detail', {
    template,

    computed: {
        defaultCriteria() {
            if (this.$vnode.tag.indexOf('sw-property-create') >= 0) {
                return new Shopware.Data.Criteria();
            }

            const criteria = this.$super('defaultCriteria');

            criteria.addAssociation('netiToolKitAttribute');
            criteria.addAssociation('options.netiToolKitOptionAttribute');

            return criteria;
        }
    }
});
