import localesConfig from './locales';

export default ({ router }) => {
    const defaultLang = localesConfig.find(lang => lang.default) || localesConfig[0];

    router.onReady(() => {
        if ('/' === router.currentRoute.path) {
            router.push(`/${defaultLang.lang}/`);
        }
    });
}