<?php

declare(strict_types=1);

namespace NetInventors\NetiNextToolKit\Struct;

use Shopware\Core\Framework\Struct\Struct;

class ProductReviewStruct extends Struct
{
    private array $reviews = [];

    public function __construct(array $reviews)
    {
        $this->reviews = $reviews;
    }

    public function getReviews(): array
    {
        return $this->reviews;
    }
}
